<?php
$tdatauserrole = array();
$tdatauserrole[".searchableFields"] = array();
$tdatauserrole[".ShortName"] = "userrole";
$tdatauserrole[".OwnerID"] = "";
$tdatauserrole[".OriginalTable"] = "userrole";


$tdatauserrole[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatauserrole[".originalPagesByType"] = $tdatauserrole[".pagesByType"];
$tdatauserrole[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatauserrole[".originalPages"] = $tdatauserrole[".pages"];
$tdatauserrole[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatauserrole[".originalDefaultPages"] = $tdatauserrole[".defaultPages"];

//	field labels
$fieldLabelsuserrole = array();
$fieldToolTipsuserrole = array();
$pageTitlesuserrole = array();
$placeHoldersuserrole = array();

if(mlang_getcurrentlang()=="English")
{
	$fieldLabelsuserrole["English"] = array();
	$fieldToolTipsuserrole["English"] = array();
	$placeHoldersuserrole["English"] = array();
	$pageTitlesuserrole["English"] = array();
	$fieldLabelsuserrole["English"]["RoleID"] = "Role ID";
	$fieldToolTipsuserrole["English"]["RoleID"] = "";
	$placeHoldersuserrole["English"]["RoleID"] = "";
	$fieldLabelsuserrole["English"]["RoleName"] = "Role Name";
	$fieldToolTipsuserrole["English"]["RoleName"] = "";
	$placeHoldersuserrole["English"]["RoleName"] = "";
	if (count($fieldToolTipsuserrole["English"]))
		$tdatauserrole[".isUseToolTips"] = true;
}


	$tdatauserrole[".NCSearch"] = true;



$tdatauserrole[".shortTableName"] = "userrole";
$tdatauserrole[".nSecOptions"] = 0;

$tdatauserrole[".mainTableOwnerID"] = "";
$tdatauserrole[".entityType"] = 0;
$tdatauserrole[".connId"] = "eflejob_at_localhost";


$tdatauserrole[".strOriginalTableName"] = "userrole";

	



$tdatauserrole[".showAddInPopup"] = false;

$tdatauserrole[".showEditInPopup"] = false;

$tdatauserrole[".showViewInPopup"] = false;

	$tdatauserrole[".listAjax"] = true;
//	temporary
//$tdatauserrole[".listAjax"] = false;

	$tdatauserrole[".audit"] = false;

	$tdatauserrole[".locking"] = false;


$pages = $tdatauserrole[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatauserrole[".edit"] = true;
	$tdatauserrole[".afterEditAction"] = 1;
	$tdatauserrole[".closePopupAfterEdit"] = 1;
	$tdatauserrole[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatauserrole[".add"] = true;
$tdatauserrole[".afterAddAction"] = 1;
$tdatauserrole[".closePopupAfterAdd"] = 1;
$tdatauserrole[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatauserrole[".list"] = true;
}



$tdatauserrole[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatauserrole[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatauserrole[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatauserrole[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatauserrole[".printFriendly"] = true;
}



$tdatauserrole[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatauserrole[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatauserrole[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatauserrole[".isUseAjaxSuggest"] = true;



			

$tdatauserrole[".ajaxCodeSnippetAdded"] = false;

$tdatauserrole[".buttonsAdded"] = false;

$tdatauserrole[".addPageEvents"] = false;

// use timepicker for search panel
$tdatauserrole[".isUseTimeForSearch"] = false;


$tdatauserrole[".badgeColor"] = "6DA5C8";


$tdatauserrole[".allSearchFields"] = array();
$tdatauserrole[".filterFields"] = array();
$tdatauserrole[".requiredSearchFields"] = array();

$tdatauserrole[".googleLikeFields"] = array();
$tdatauserrole[".googleLikeFields"][] = "RoleID";
$tdatauserrole[".googleLikeFields"][] = "RoleName";



$tdatauserrole[".tableType"] = "list";

$tdatauserrole[".printerPageOrientation"] = 0;
$tdatauserrole[".nPrinterPageScale"] = 100;

$tdatauserrole[".nPrinterSplitRecords"] = 40;

$tdatauserrole[".geocodingEnabled"] = false;










$tdatauserrole[".pageSize"] = 20;

$tdatauserrole[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatauserrole[".strOrderBy"] = $tstrOrderBy;

$tdatauserrole[".orderindexes"] = array();


$tdatauserrole[".sqlHead"] = "SELECT RoleID,  	RoleName";
$tdatauserrole[".sqlFrom"] = "FROM userrole";
$tdatauserrole[".sqlWhereExpr"] = "";
$tdatauserrole[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatauserrole[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatauserrole[".arrGroupsPerPage"] = $arrGPP;

$tdatauserrole[".highlightSearchResults"] = true;

$tableKeysuserrole = array();
$tableKeysuserrole[] = "RoleID";
$tdatauserrole[".Keys"] = $tableKeysuserrole;


$tdatauserrole[".hideMobileList"] = array();




//	RoleID
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "RoleID";
	$fdata["GoodName"] = "RoleID";
	$fdata["ownerTable"] = "userrole";
	$fdata["Label"] = GetFieldLabel("userrole","RoleID");
	$fdata["FieldType"] = 3;


		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "RoleID";

		$fdata["sourceSingle"] = "RoleID";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "RoleID";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatauserrole["RoleID"] = $fdata;
		$tdatauserrole[".searchableFields"][] = "RoleID";
//	RoleName
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "RoleName";
	$fdata["GoodName"] = "RoleName";
	$fdata["ownerTable"] = "userrole";
	$fdata["Label"] = GetFieldLabel("userrole","RoleName");
	$fdata["FieldType"] = 200;


	
	
			

		$fdata["strField"] = "RoleName";

		$fdata["sourceSingle"] = "RoleName";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "RoleName";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=255";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatauserrole["RoleName"] = $fdata;
		$tdatauserrole[".searchableFields"][] = "RoleName";


$tables_data["userrole"]=&$tdatauserrole;
$field_labels["userrole"] = &$fieldLabelsuserrole;
$fieldToolTips["userrole"] = &$fieldToolTipsuserrole;
$placeHolders["userrole"] = &$placeHoldersuserrole;
$page_titles["userrole"] = &$pageTitlesuserrole;


changeTextControlsToDate( "userrole" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["userrole"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["userrole"] = array();



// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_userrole()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "RoleID,  	RoleName";
$proto0["m_strFrom"] = "FROM userrole";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "RoleID",
	"m_strTable" => "userrole",
	"m_srcTableName" => "userrole"
));

$proto6["m_sql"] = "RoleID";
$proto6["m_srcTableName"] = "userrole";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "RoleName",
	"m_strTable" => "userrole",
	"m_srcTableName" => "userrole"
));

$proto8["m_sql"] = "RoleName";
$proto8["m_srcTableName"] = "userrole";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto10=array();
$proto10["m_link"] = "SQLL_MAIN";
			$proto11=array();
$proto11["m_strName"] = "userrole";
$proto11["m_srcTableName"] = "userrole";
$proto11["m_columns"] = array();
$proto11["m_columns"][] = "RoleID";
$proto11["m_columns"][] = "RoleName";
$obj = new SQLTable($proto11);

$proto10["m_table"] = $obj;
$proto10["m_sql"] = "userrole";
$proto10["m_alias"] = "";
$proto10["m_srcTableName"] = "userrole";
$proto12=array();
$proto12["m_sql"] = "";
$proto12["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto12["m_column"]=$obj;
$proto12["m_contained"] = array();
$proto12["m_strCase"] = "";
$proto12["m_havingmode"] = false;
$proto12["m_inBrackets"] = false;
$proto12["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto12);

$proto10["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto10);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="userrole";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_userrole = createSqlQuery_userrole();


	
		;

		

$tdatauserrole[".sqlquery"] = $queryData_userrole;



$tdatauserrole[".hasEvents"] = false;

?>